import "./tasks/rmats.wdl" as rmats


workflow {{ project_name }} {
    String sample_id
    File bam1
    File bam2
    File reference_gtf_file
    String CSTAT
    

    String rmats_docker
    String rmats_cluster
    String disk_size	

	call rmats.rmats as rmats {
		input:
		bam1 = bam1,
		bam2 = bam2,
		reference_gtf_file = reference_gtf_file,
		sample_id = sample_id,
        CSTAT = CSTAT
		docker = rmats_docker,
		cluster = rmats_cluster,
		disk_size = disk_size
	}
}